Parrot安装后的配置

系统配置

#1

前言

昨天自己在做主机渗透时候强行在ubuntu上面安装veil-evasion,导致GUI崩掉了。自己做了下应急处理,还是抢救回来系统,只是把数据进行备份了一下。T-T

Parrot 简介

Parrot Security OS是一个基于Debian的GUN/Linux发行版,专注于渗透测试、数字取证、编程和隐私保护。它内置了许多主题和壁纸,因其漂亮的UI而出名。

Parrot 安装

官网地址https://www.parrotsec.org/
中文论坛parrotsec-cn.org

官网上提供了三个可下载版本

Parrot Full:集成渗透测试,隐私,数字取证,逆向工程及软件开发的一体化环境。
Parrot Lite:非常轻量级的日常使用和隐私保护系统。它是专为喜欢Parrot界面的休闲用户设计。
Parrot Other Builds:专门针对特殊用途或特殊设备设计。

系统要求

处理器:x86,主频至少是700Mhz 架构:i386、amd64(x86-64位)、486(老式x86)、armel和armhf 内存:i386至少256MB,amd64至少320MB。推荐512MB GPU:不需要图形加速 普通硬盘:安装需要16GB的硬盘空间 启动:老式BIOS优先

安装过程

安装方法和其他linux一样,这里就不在过多叙述。

安装Windows和Parrot双系统引导问题(Linux引导Windows)

安装完成Parrot,你会发现系统原有的Windows系统无法进入,这时就需要我们修改一下系统的引导文件(/boot/grub/grub.cfg)

vim打开/boot/grub/grub.cfg文件查找

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

在中间插入以下代码(我的是Windows 7系统,其他系统可以测试一下)

menuentry 'Windows Boot Manager (on /dev/sda1)' --class windows --class os $menuentry_id_option 'osprober-efi-5ED0-F4A4' {
	insmod part_gpt
	insmod fat
	set root='hd0,gpt1'
	if [ x$feature_platform_search_hint = xy ]; then
	  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,gpt1 --hint-efi=hd0,gpt1 --hint-baremetal=ahci0,gpt1  5ED0-F4A4
	else
	  search --no-floppy --fs-uuid --set=root 5ED0-F4A4
	fi
	chainloader /EFI/Microsoft/Boot/bootmgfw.efi
}
set timeout_style=menu
if [ "${timeout}" = 0 ]; then
  set timeout=10
fi

完成后保存退出,重启即可发现Linux引导界面出现了windows

Parrot 基本配置

更新源设置

源的位置:/etc/apt/sources.list.d/parrot.list

官方更新源

# parrot repository
# this file was automatically generated by parrot-mirror-selector
deb http://deb.parrotsec.org/parrot stable main contrib non-free
#deb-src http://deb.parrotsec.org/parrot stable main contrib non-free

国内更新源清华大学镜像源

deb https://mirrors.tuna.tsinghua.edu.cn/parrot/ parrot main contrib non-free

Debian 163更新源(由于该镜像基于Debian,使用Debian更新源来安装一些常用工具)

deb http://mirrors.163.com/debian/ stretch main non-free contrib
deb http://mirrors.163.com/debian/ stretch-updates main non-free contrib
deb http://mirrors.163.com/debian/ stretch-backports main non-free contrib
deb-src http://mirrors.163.com/debian/ stretch main non-free contrib
deb-src http://mirrors.163.com/debian/ stretch-updates main non-free contrib
deb-src http://mirrors.163.com/debian/ stretch-backports main non-free contrib
deb http://mirrors.163.com/debian-security/ stretch/updates main non-free contrib
deb-src http://mirrors.163.com/debian-security/ stretch/updates main non-free contrib

更换更新源

备份源文件
$ sudo cp /etc/apt/sources.list.d/parrot.list /etc/apt/sources.list.d/parrot.list.bak
更改源文件
$ sudo vim /etc/apt/sources.list.d/parrot.list

删除所有内容后,用上面的源文件替换

更新操作系统

更新系统

$ sudo apt-get update
$ sudo apt-get dist-upgrade

如果你使用的是lite版,可以使用变身完整版

$ sudo apt-get install parrot-tools-full

终端中文支持和部分应用中文方块

终端菜单栏选中"设定字符编码" 选择简体中文即可

方块字体直接更新系统即可

dpkg-reconfigure locales

打开图形界面,空格键选中

en_US.UTF-8
zh_CN.UTF-8

将中文设置成默认后,重启即可

配置SSH

编辑sshd_config文件:

$ sudo pluma /etc/ssh/sshd_config

将sshd_config文件中的语句

"PermitRootLogin prohibit-password"

修改为:

"PermitRootLogin yes"

保存文件,启动SSH服务

$ sudo service ssh start

设置SSH开机自启动

$ sudo update-rc.d ssh enable

安装Nvidia显卡驱动

Nvidia显卡驱动需要使用parrot自带的源或者清华的源,Debian源有些依赖有问题
更新系统

$ sudo apt-get install update && apt-get dist-upgrade

安装Nvidia显卡驱动

$ sudo apt-get install nvidia-driver bumblebee-nvidia

编辑配置文件

$ sudo vim /etc/bumblebee/bumblebee.conf

修改

Driver=

修改为

Driver=nvidia

修改

KernelDriver=nvidia

修改为

KernelDriver=nvidia-current

重启电脑

reboot

检查和验证

optirun glxinfo | grep OpenGL

安装增强工具open-vm-tools

$ sudo apt-get update
$ sudo apt-get install open-vm-tools-desktop fuse

常用软件安装

安装搜狗输入法

官网下载搜狗拼音输入法 for Linux

$ sudo dpkg -i sougoupinyinXXX.deb

安装谷歌拼音

$ sudo apt-get install fcitx-googlepinyin 谷歌拼音

安装WPS

到更新源的pool目录下载libpng12XXX最新版
wps官网下载deb安装包
网盘下载:链接: http://pan.baidu.com/s/1miRysgo 密码: k2y8

$ sudo dpkg -i libpng12-0_1.2.50-2+deb8u3_amd64.deb
$ sudo dpkg -i wps-office_10.1.0.5707~a21_amd64.deb

解决字体缺失问题
下载缺失的字体,然后复制到系统的/usr/share/fonts文件夹中

国外下载地址:https://www.dropbox.com/s/lfy4hvq95ilwyw5/wps_symbol_fonts.zip
国内下载地址:https://pan.baidu.com/s/1eS6xIzo

下载完成后

$ sudo cp * /usr/share/fonts

生成字体索引信息

$ sudo mkfontscale
$ sudo mkfontdir

运行fc-cache命令更新字体缓存

$ sudo fc-cache

重启wps即可

安装Google Chrome

下载Linux版Chrome离线包

$ sudo dpkg -i google-chrome-stable_current_amd64.deb
$ sudo apt-get -f install
$ sudo dpkg -i google-chrome-stable_current_amd64.deb

汉化火狐浏览器

下载安装中文火狐语言包(中间版本选择你现在火狐浏览器的版本)
https://download-installer.cdn.mozilla.net/pub/firefox/releases/52.5.0esr/linux-x86_64/xpi/

安装flash插件

官网下载tar压缩包
解压压缩包

$ tar -zxvf flash_player_npapi_linux.x86_64.tar.gz

拷贝文件

$ sudo cp libflashplayer.so /usr/lib/mozilla/plugins/
$ sudo cp -r usr/ /usr

安装十六进制编辑器

$ sudo apt-get install hexedit

安装Shadowsocks-qt5

添加源

deb http://ppa.launchpad.net/hzwhuang/ss-qt5/ubuntu devel main

更新系统发现报错,是因为这里使用ubuntu的源,需要导入公钥

$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 6DA746A05F00FA99

安装Shadowsocks-qt5

$ sudo apt-get update
$ sudo apt-get install shadowsocks-qt5

全局tor(匿名模式)

anonsurf start //启动
anonsurf stop //退出
anonsurf restart //重启
anonsurf change //改变某个神奇的东西
anonsurf status //查看状态

使用Crossover运行qq(64位)

添加32位架构支持(32位系统可省略此步骤)

$ sudo dpkg --add-architecture i386
$ sudo apt-get update

安装免费版crossover(会提示安装依赖)

$ sudo dpkg -i crossover-15_15.0.3-1_all-free.deb 
$ sudo apt-get -f install
$ sudo dpkg -i crossover-15_15.0.3-1_all-free.deb

安装qq
所需资源下载地址:
链接: https://pan.baidu.com/s/1o8HtX9K 密码: 8hni

$ sudo dpkg -i NoDepend-apps.com.qq.im_8.1.17255deepin11_i386去依赖版.deb

安装完成之后你可能会遇到数字字母显示成方块字的问题,需要把系统语言更改为中文格式zh_CN.UTF-8

安装PyCharm

官网下载PyCharm
下载专业版,解压

$ cd pycharm-2017.3/bin
$ sudo ./pycharm.sh

激活PyCharm,选择第三项服务器证书激活

http://idea.imsxm.com/

汉化Pycharm

$ cd /tmp
$ sudo git clone https://github.com/ewen0930/PyCharm-Chinese
$ cd PyCharm-Chinese
$ sudo bash package.cmd(需要java环境)
$ sudo cp resources_zh.jar /usr/lib/pycharm-community/lib   # 这里的“/usr/lib/pycharm-community/lib"为你的Pycharm所在路径

参考链接:
Parrotc系统常用配置


Nvidia显卡驱动安装(升级)
【分享】关于笔记本N卡驱动黑屏和使用独立显卡的Tips
#2

使用debian源需要添公钥的吧


#3

并不需要,毕竟基于Debian的系统,不过装影梭时候使用Ubuntu的源需要添加公钥


#4

这个qq…能输入中文吗
还有下载qq的GitHub连接挂了


#5

之前我用kali使用使用的QQ,支持中文输入。github貌似不能上传,我改成百度云链接了


#6

crossover这块你可以参考下 https://www.yagami.info/kali-2-0-rolling-crossover-an-zhuang-qq-8-9/
默认是15天试用的。我从deepin里把授权文件提取出来了。请看文章里的增强试用部分。
qq的话建议装8.7版本的。下载地址
http://dldir1.qq.com/qqfile/qq/QQ8.7/19071/QQ8.7.exe

以前在kali里使用的效果。


#7

感谢分享,我的这个版本也是之前在kali里面使用的,目前装到Parrot里没发现什么问题


#8

这个pycharm可以输入中文吗?就是搜狗输入法或者谷歌输入法。
jetbrain的东西……唤不出中文输入法……


#9

目前我用的是搜狗输入法,中文输入完全没问题。而且pycharm完美汉化,比之前在ubuntu装的汉化效果还完美。


#10
$ sudo cp libflashplayer.so /usr/lib/mozilla/plugins/

#11

已经改正,谢谢提醒


#12

shu ru fa chu cuo:
dpkg: error processing package sogoupinyin (–install):
dependency problems - leaving unconfigured
Processing triggers for desktop-file-utils (0.23-2) …
Processing triggers for mime-support (3.60) …
Processing triggers for shared-mime-info (1.9-2) …
Processing triggers for libglib2.0-0:amd64 (2.54.3-2) …
覆盖文件 /usr/share/glib-2.0/schemas/50_sogoupinyin.gschema.override 中指定的方案 org.gnome.settings-daemon.plugins.xsettings 中没有键 Gtk/IMModule;忽略对此键的覆盖。
Processing triggers for hicolor-icon-theme (0.17-1) …
Errors were encountered while processing:
sogoupinyin
???


#13

这个问题没有遇见过

不建议使用搜狗输入法,流氓软件,之前还有更新导致无法安装
可以用google拼音代替

apt install fcitx-googlepinyin

或者尝试rime输入法 http://rime.im/


#14

找到一个相同报错的解决方案:

移除搜狗输入法

sudo apt remove sogoupinyin

安装依赖的软件包:

sudo apt install libopencc1 fcitx-libs fcitx-libs-qt fonts-droid-fallback

重新安装搜狗拼音:

sudo dpkg -i sogoupinyin_2.1.0.0082_amd64.deb

不知道可不可行


#15

谢谢,安装google拼音好了


#16

flash插件都拷贝过去了,为啥还是不能播放网页视频,点run adbve flash 后,屏幕就是黑着一直,以前装的其他liux都是拷过去重启浏览器就可以的


#17

没有修改过任何东西的Parrot,播放b站视频正常,你检查一下是不是noscript插件的问题


#18

我试了,b站确实能直接播放视频,搜狐视频不行啊
看,flash插件也拷过去了


#19

b站好像有flash和h5两个版本,你看看你用的是不是h5的版本才可以的


#20

确实。。。。flash是要被淘汰的东西了。。还真没弄过flash插件

@gentoofans 你等原作者回复吧


Partners Wiki IRC